@echo off
echo.
echo Start DFSee using explicit window size
rem 23-11-2005 JvW Added usage and made CMD/BAT indentical
rem 16-08-2016 JvW Remove the Windows/DOS code, CMD is used for OS/2 only

set dfsexe=dfsos2.exe

if "%1" == "?"  goto usage
if "%1" == "/?" goto usage
if "%1" == "-?" goto usage

if "%dfsmode%"=="no" goto work
if "%2"==""  goto standard
if "%2"=="." goto standard
mode %1,%2
goto work

:usage
echo.
echo Usage:  %0  #columns #rows [other %dfsexe% parameters]
echo.
echo   Check other DFSee parameters using: %dfsexe% -?
echo.
goto end

:standard
mode 90,34
:work
%dfsexe% %3 %4 %5 %6 %7 %8 %9

:end
